# Use the official Node.js image as the base image
FROM node:16.13-alpine

# Set the working directory in the container
WORKDIR /app

# Copy the package.json and package-lock.json files to the working directory
COPY package.json package-lock.json ./

# Install the dependencies
RUN npm install && npm install -g @angular/cli@13.3.5

# Copy the rest of the application code to the working directory
COPY . .

# Expose port 80 for the application to run on
EXPOSE 4200

# Start the application
CMD ["ng" , "serve" , "--host" , "0.0.0.0" ]
